Get a lead
curl --request GET \
--url https://api.closebot.com/lead/{leadId} \
--header 'X-CB-KEY: <api-key>'import requests
url = "https://api.closebot.com/lead/{leadId}"
headers = {"X-CB-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-CB-KEY': '<api-key>'}};
fetch('https://api.closebot.com/lead/{leadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"contactId": "<string>",
"lastMessageTime": "2023-11-07T05:31:56Z",
"lastMessage": "<string>",
"lastMessageDirection": "<string>",
"lastMessageBotId": "<string>",
"mostRecentFailureReason": "<string>",
"mimicSourceId": "<string>",
"starred": true,
"unread": true,
"source": {
"name": "<string>",
"id": "<string>"
},
"wontRespondUntil": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"fields": [
{
"field": "<string>",
"name": "<string>",
"value": "<string>",
"aiProduced": true
}
],
"instances": [
{
"botId": "<string>",
"botVersion": "<string>",
"followUpTimezoneKind": "<string>",
"followUpTimezone": "<string>",
"followUpTime": "2023-11-07T05:31:56Z",
"isSmartFollowUpTime": true,
"scheduleRespondTime": "2023-11-07T05:31:56Z"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Lead
Get a lead
GET
/
lead
/
{leadId}
Get a lead
Authorizations
CloseBot API Key Authorization
Path Parameters
The ID of the lead to get.
Query Parameters
Include external fields of the lead in the result (fields from the CRM).
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

